[
    {
        "op": "addeach",
        "path": "/ingredient/allowedVariants/-",
        "value": [
            "carbonized"
        ],
        "file": "obdoltools:recipes/smithing/part/boss.json",
        "side": "Server"
    },
    {
        "op": "addeach",
        "path": "/ingredient/allowedVariants/-",
        "value": [
            "carbonized"
        ],
        "file": "obdoltools:recipes/smithing/part/hoop.json",
        "side": "Server"
    }
]